:root {
  --color-primary: #fff;
  --color-red: red;
  --color-green: rgb(0, 182, 0);
  --color-gray: rgb(236, 235, 235);
  --color-gray-hard: rgb(68, 68, 68);
}
body {
  font-family: monospace;
  background-color: var(--color-gray-hard);
  overflow: hidden;
}
.cuerpo-calculadora {
  margin: auto;
  width: 330px;
  height: 100dvh;
  /* height: 620px; */
  background-color: var(--color-primary);
  border-radius: 20px;
  display: flex;
  align-content: center;
  flex-direction: column;
  font-size: 14px;
  color: black;
}

.pantalla-calculadora {
  width: 85%;
  margin: 20px auto;
  height: 25%;
}
.solucion-calculadora {
  height: 3rem;
  text-align: end;
  font-size: xx-large;
  padding-right: 15px;
  font-weight: bold;
  box-sizing: border-box;
  text-overflow: clip;
  overflow-x: auto;
  overflow-y: hidden;
  padding-top: 0.5rem;
}
.operacion-calculadora {
  width: 100%;
  height: 60%;
  margin-bottom: 20px;
  border-radius: 12px;
  border: 1px solid var(--color-gray);
  text-align: right;
  font-size: xx-large;
  padding-right: 15px;
  padding-top: 15px;
  padding-left: 15px;
  outline: none;
  overflow: hidden;
  overflow-y: auto;
  white-space: initial;
  resize: none;
}
/* Barra de Scroll de .operacion-calculadora */
.operacion-calculadora::-webkit-scrollbar {
  -webkit-appearance: none;
  cursor: pointer;
}

.operacion-calculadora::-webkit-scrollbar:vertical {
  width: 10px;
}

.operacion-calculadora::-webkit-scrollbar-button:increment,
.operacion-calculadora::-webkit-scrollbar-button {
  display: none;
}
.operacion-calculadora::-webkit-scrollbar:horizontal {
  height: 10px;
}
.operacion-calculadora::-webkit-scrollbar-thumb {
  background-color: var(--color-gray);
  border-radius: 20px;
  border: 2px solid var(--color-primary);
}
.operacion-calculadora::-webkit-scrollbar-thumb:hover {
  background-color: var(--color-gray-hard);
  border-radius: 20px;
  border: 2px solid var(--color-primary);
}
.operacion-calculadora::-webkit-scrollbar-track {
  border-radius: 10px;
}

.menu-calculadora,
.botones-calculadora {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}
.menu-calculadora {
  justify-content: space-between;
  font-weight: bold;
}
.menu-calculadora > div {
  display: flex;
  flex-direction: row;
  margin-left: 26px;
}
.menu-calculadora > button {
  margin-right: 26px;
  width: 30px;
  height: 30px;
  border-radius: 13px;
  background-color: var(--color-gray);
  color: var(--color-green);
  font-weight: bold;
}
.menu-calculadora > button:hover {
  background-color: var(--color-gray-hard);
}
.menu-calculadora > div button {
  margin-right: 12px;
  width: 30px;
  height: 30px;
  border-radius: 13px;
  background-color: var(--color-gray);
}
.menu-calculadora > div button:hover {
  background-color: var(--color-gray-hard);
  color: var(--color-primary);
  font-weight: normal;
}

.botones-calculadora {
  justify-content: space-evenly;
  margin-top: 1.5rem;
}
.botones-calculadora button {
  width: 50px;
  height: 50px;
  border-radius: 25px;
  font-size: 23px;
  transition: all 0.3s;
  font-weight: bold;
}
.btn-num {
  color: var(--color-gray-hard);
  background-color: var(--color-gray);
}
.botones-calculadora .btn-num:hover {
  background-color: var(--color-gray-hard);
  color: var(--color-gray);
}
.botones-calculadora .btn-C {
  color: var(--color-red);
  background-color: var(--color-gray);
}
.botones-calculadora .btn-C:hover {
  background-color: var(--color-gray-hard);
  color: var(--color-red);
}
.botones-calculadora .btn-ope {
  color: var(--color-green);
  background-color: var(--color-gray);
}
.botones-calculadora .btn-ope:hover {
  background-color: var(--color-gray-hard);
  color: var(--color-green);
}
.botones-calculadora .btn-igual {
  color: var(--color-primary);
  background-color: var(--color-green);
}
.botones-calculadora .btn-igual:hover {
  background-color: var(--color-gray-hard);
  color: var(--color-primary);
}
.botones-calculadora-final {
  margin-bottom: 1.7rem;
}

hr {
  margin: 20px auto;
  width: 85%;
  height: 2px;
  background-color: var(--color-gray-hard);
}

@media screen and (max-width: 768px) {
  body {
    overflow-y: auto;
  }
  .cuerpo-calculadora {
    width: 100%;
    /* height: auto; */
  }
  .botones-calculadora button {
    width: 4.5rem;
    height: 4.5rem;
    border-radius: 50%;
    font-size: 23px;
    transition: all 0.3s;
    font-weight: bold;
    font-size: 2rem;
  }
  .menu-calculadora button {
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
  }
  .menu-calculadora div button {
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
  }
  .btn-menu {
    font-size: 1.5rem;
  }
  .btn-borrar {
    font-size: 1.5rem;
  }
  .operacion-calculadora {
    font-size: 2.2rem;
    user-select: none;
  }
  .solucion-calculadora {
    padding-top: 0.5rem;
    height: 3rem;
    font-size: 2.2rem;
  }
  .menu-calculadora > button:hover {
    background-color: var(--color-gray);
  }
  .menu-calculadora > div button:hover {
    background-color: var(--color-gray);
    color: #000;
  }
  .botones-calculadora .btn-num:hover {
    background-color: var(--color-gray);
    color: var(--color-gray-hard);
  }
  .botones-calculadora .btn-C:hover {
    background-color: var(--color-gray);
    color: var(--color-red);
  }
  .botones-calculadora .btn-ope:hover {
    background-color: var(--color-gray);
    color: var(--color-green);
  }
  .botones-calculadora .btn-igual:hover {
    background-color: var(--color-gray);
    color: var(--color-primary);
  }
}

